local sp = [[.package {
	type 0 : integer
	session 1 : integer
	ud 2 : string
}

room_match 1 {
	request {
		roomid 0 : integer
	}
}

room_status 2 {
	request {
		.UserInfo {
			userindex 0 : integer
			nickname 1 : string
			skin 2 : integer
			weight 3 : string
			seed 4 : integer
			pos 5 : string
		}
		users 0 : *UserInfo
	}
}

frame 3 {
	request {
		.UserAction {
			userindex 0 : integer
			touchpos 1 : string
			speedup 2 : boolean
			pos 3 : string
			weight 4 : string
		}
		lockstep 0 : integer
		actions 1 : *UserAction
	}
}

game_over 4 {
	
}

speech 5 {
	request {
		speechid 0 : string
	}
}
]]



return sp