require "Common/define"

LoadResourceCtrl = {}

local this = LoadResourceCtrl;

local panel;
local loadResource;
local transform;
local gameObject;

local TotalCount = 11;
local TotalProgress = 0;
local TotalCount1 = 3;

local timer = nil;
local timer1 = nil;
local _slider = nil;
local _enSlider = nil;

local roleList = {};

function LoadResourceCtrl.New()
	logWarn("LoadResourceCtrl.New--->>");
	return this;
end

function LoadResourceCtrl.Awake()
	logWarn("LoadResourceCtrl.Awake--->>");
	panelMgr:CreatePanel('LoadResource', this.OnCreate);
	if transform then
		--transform:SetAsLastSibling();
	end
	
	--networkMgr:ShowLoading(false);
	
	LoadResourceCtrl.OnUpdatePlayerProgress();
end

function LoadResourceCtrl.OnCreate(obj)
	gameObject = obj;
	transform = obj.transform;

	-- panel = transform:GetComponent('UIPanel');
	loadResource = transform:GetComponent('LuaBehaviour');
	logWarn("LoadResource lua--->>"..gameObject.name);
	
	--transform:SetAsLastSibling();
	
	LoadResourceCtrl.OnUpdatePlayerProgress();
	
end

function LoadResourceCtrl.OnLaterLoadMap()
	timer1 = Timer.New(this.OnStartLoadMap,1,-1,true);
	timer1:Start();
end

function LoadResourceCtrl.OnStartLoadMap()
	TotalCount1 = TotalCount1 - 1;
	if TotalCount1 <= 1 then
		TotalCount1 = 0;
		networkMgr:EnterLoadSceneMap();
		timer1:Stop();
	end
end

function LoadResourceCtrl.OnUpdatePlayerProgress()
	LoadResourceCtrl.ClearRoleList();
	if next(MyTeamUsers) then
		networkMgr:ShowLoading(false);
		local _playerList = LoadResourcePanel.playerList;
		local _len = #MyTeamUsers;
		for i=1,_len do
			LoadResourceCtrl.SetPlayerReady(i,MyTeamUsers[i].nickname,_playerList,MyTeamUsers[i].userindex);
		end
		
		timer = Timer.New(this.SendProgress,0.5,-1,true);
		timer:Start();

		local player = _playerList.transform:FindChild("Player_1").gameObject;
		local slider = player.transform:FindChild("Prg").gameObject;
		_slider = slider:GetComponent('Slider');
		_slider.value = 0;
	end

	if next(EnemyTeamUsers) then
		local _enemyList = LoadResourcePanel.enemyList;
		local _len = #EnemyTeamUsers;
		for i=1,_len do
			LoadResourceCtrl.SetPlayerReady(i,EnemyTeamUsers[i].nickname,_enemyList,EnemyTeamUsers[i].userindex);
		end
	end
end

function LoadResourceCtrl.SendProgress()
	TotalCount = TotalCount - 1;
	TotalProgress = TotalProgress + 10
	if TotalCount <= 1 then
		TotalCount = 0;
		if AppConst.SCENELOADED then
			networkMgr:SendResourceProgress(100);
			timer:Stop();
			_slider.value = 1;
		end
	else
		if TotalCount == 5 then
			LoadResourceCtrl.OnLaterLoadMap();
		end
		_slider.value = TotalProgress/100;
		networkMgr:SendResourceProgress(TotalProgress);
	end
end

function LoadResourceCtrl.OnUpdateOtherProgress(userindex,progress)
	
	local _tf = LoadResourcePanel.enemyList.transform;
	local _index,_data = MainCtrl.GetMatchPlayerByIndex(userindex);
	
	local _str = "Player_";
	if SelfTeam == _data.team then
		--_str = "player";
		_tf = LoadResourcePanel.playerList.transform;
	end
	
	local user = _tf:FindChild(_str.._index).gameObject;
	local slider = user.transform:FindChild("Prg").gameObject;
	_enSlider = slider:GetComponent('Slider');
	_enSlider.value = progress/100;
end

function LoadResourceCtrl.SetPlayerReady(index,name,userlist,userindex)
	
	local _tf = userlist.transform;
	local _str = "Player_";
	
	local _data = SelectRoleCtrl.GetPlayerDataByID(userindex);
	local _role = SelectRoleCtrl.GetUserName(userindex);
	
	local user = _tf:FindChild(_str..index).gameObject;
	local icon = user.transform:FindChild("Mask").gameObject;
	local _btn = icon.transform:FindChild("Img_Figure").gameObject;
	local img = _btn:GetComponent('Image');
	local _weapon = SelectRoleCtrl.GetRoleDataByID(_data.roleType);

	local imgStr = "Weapon_".._weapon.prefabid;
	local sp = resMgr:LoadSprite(imgStr,imgStr);
	img.sprite = sp;
	
	local imgRole = icon.transform:FindChild("Img_Portrait").gameObject:GetComponent('Image');
	local imgRoleStr = "Head_10".._role.sex.."01";
	local spRole = resMgr:LoadSprite(imgRoleStr,imgRoleStr);
	imgRole.sprite = spRole;
	
	local pname = user.transform:FindChild("Text_Nickname").gameObject;
	
	local slider = user.transform:FindChild("Prg").gameObject;
	local rname = user.transform:FindChild("Text_Rolename").gameObject;

	icon:SetActive(true);
	pname:SetActive(true);
	pname:GetComponent('Text').text = name;--AppConst.USERNAME;
	
	slider:SetActive(true);
	rname:SetActive(true);
	
	rname:GetComponent('Text').text = SelectRoleCtrl.GetRoleDataByID(_data.roleType).name;
	
	table.insert(roleList,user);
end

function LoadResourceCtrl.ClearRoleList()
	if next(roleList) then
		for _,user in pairs(roleList) do
			local pname = user.transform:FindChild("Text_Nickname").gameObject;
			local slider = user.transform:FindChild("Prg").gameObject;
			local rname = user.transform:FindChild("Text_Rolename").gameObject;
			rname:SetActive(false);
			slider:SetActive(false);
			pname:SetActive(false);
		end
	end
end

function LoadResourceCtrl.Close()
	panelMgr:ClosePanel(PanelNames.LoadResource);
	if timer then
		TotalCount = 11;
		TotalProgress = 0;
		timer:Stop();
	end
	if timer1 then
		TotalCount1 = 0;
		timer1:Stop();
	end
end