local transform;
local gameObject;

MainPanel = {};
local this = MainPanel;

--¼--
function MainPanel.Awake(obj)
	gameObject = obj;
	transform = obj.transform;

	this.InitPanel();
	logWarn("Awake lua--->>"..gameObject.name);
end

--ʼ--
function MainPanel.InitPanel()
		
	this.tf = transform:FindChild("Content").gameObject.transform;
	
	this.TestPanel = this.tf:FindChild("Test").gameObject;
	this.test = this.TestPanel.transform;
	this.Entrance = this.tf:FindChild("Entrance").gameObject.transform;
	
	this.btnFive = this.Entrance:FindChild("Btn_Normal").gameObject;
	this.btnAvatar = this.tf:FindChild("Function_Left/Btn_Avatar").gameObject;
	this.btnWeapon = this.tf:FindChild("Function_Left/Btn_Weapon").gameObject;
	this.btnRank = this.tf:FindChild("Function_Left/Btn_Rank").gameObject;
	this.btnConfig=this.tf:FindChild("Function_Left/Btn_Config").gameObject;

	this.btnEnter = this.test:FindChild("Button").gameObject;
	this.btnEnter2 = this.test:FindChild("Button_2").gameObject;
	this.btnEnter3 = this.test:FindChild("Button_3").gameObject;
	this.btnEnter4 = this.test:FindChild("Button_4").gameObject;
	this.btnEnter5 = this.test:FindChild("Button_5").gameObject;
	this.btnTest = this.test:FindChild("Button_6").gameObject;
	this.btnSevenDay = this.tf:FindChild("Btn_SevenDayLogin").gameObject;
	this.SevenDayCD = this.btnSevenDay.transform:FindChild("Countdown").gameObject;
	this.SevenDayReady = this.btnSevenDay.transform:FindChild("Ready").gameObject;
	this.StartRobPop = this.tf:FindChild("Popup_Normal").gameObject;
	this.btnStartRob = this.tf:FindChild("Popup_Normal/Btn_Start").gameObject;

	-------------------
	this.chest_0 = this.tf:FindChild("Chest/Grid/Chest_0").gameObject;
	this.chest_1 = this.tf:FindChild("Chest/Grid/Chest_1").gameObject;
	this.chest_2 = this.tf:FindChild("Chest/Grid/Chest_2").gameObject;
	this.chest_3 = this.tf:FindChild("Chest/Grid/Chest_3").gameObject;

	this.btnChest0Empty = this.chest_0.transform:FindChild("Btn_Empty").gameObject;
	this.btnChest1Empty = this.chest_1.transform:FindChild("Btn_Empty").gameObject;
	this.btnChest2Empty = this.chest_2.transform:FindChild("Btn_Empty").gameObject;
	this.btnChest3Empty = this.chest_3.transform:FindChild("Btn_Empty").gameObject;

	this.btnChest0 = this.chest_0.transform:FindChild("Btn_Chest").gameObject;
	this.btnChest1 = this.chest_1.transform:FindChild("Btn_Chest").gameObject;
	this.btnChest2 = this.chest_2.transform:FindChild("Btn_Chest").gameObject;
	this.btnChest3 = this.chest_3.transform:FindChild("Btn_Chest").gameObject;

	this.btnChest0:SetActive(false);
	this.btnChest1:SetActive(false);
	this.btnChest2:SetActive(false);
	this.btnChest3:SetActive(false);

	this.btnChest0Empty:SetActive(true);
	this.btnChest1Empty:SetActive(true);
	this.btnChest2Empty:SetActive(true);
	this.btnChest3Empty:SetActive(true);

	-------------------

	this.Info = this.tf:FindChild("Info").gameObject;
	this.btnInfo = this.Info.transform:FindChild("Btn_Portrait").gameObject;
	
	this.Money = this.tf:FindChild("Money").gameObject;
	
end

function MainPanel.Start()
	logWarn("MainPanel.Start---->>>");
end

--¼--
function MainPanel.OnDestroy()
	logWarn("OnDestroy---->>>");
end