local transform;
local gameObject;

ResultPanel = {};
local this = ResultPanel;

--¼--
function ResultPanel.Awake(obj)
	gameObject = obj;
	transform = obj.transform;

	this.InitPanel();
	logWarn("Awake lua--->>"..gameObject.name);
end

--ʼ--
function ResultPanel.InitPanel()
		
	this.tf = transform:FindChild("Content").gameObject.transform;
	
	this.FinePlay = this.tf:FindChild("FinePlay").gameObject;
	this.btnNext = this.FinePlay.transform:FindChild("Btn_Next").gameObject;
	
	this.Ally = this.tf:FindChild("Ally").gameObject;
	this.Enemy = this.tf:FindChild("Enemy").gameObject;
	
	this.Win = this.tf:FindChild("Win").gameObject;
	this.Lose = this.tf:FindChild("Lose").gameObject;
	this.Tie = this.tf:FindChild("Tie").gameObject;

	this.Reward = this.tf:FindChild("Reward").gameObject;
	
	this.Chest = this.Reward.transform:FindChild("Chest").gameObject;

	this.BoxImgIcon = this.Reward.transform:FindChild("Chest/Img_Icon").gameObject;
	this.BoxFull = this.Reward.transform:FindChild("Chest/Full").gameObject;
	this.btnBack = this.Reward.transform:FindChild("Btn_Return").gameObject;
	this.btnMatch = this.Reward.transform:FindChild("Btn_Match").gameObject;

end

function ResultPanel.Start()
	logWarn("ResultPanel.Start---->>>");
end

--¼--
function ResultPanel.OnDestroy()
	logWarn("OnDestroy---->>>");
end