local transform;
local gameObject;

SelectRolePanel = {};
local this = SelectRolePanel;

--¼--
function SelectRolePanel.Awake(obj)
	gameObject = obj;
	transform = obj.transform;

	this.InitPanel();
	logWarn("Awake lua--->>"..gameObject.name);
end

--ʼ--
function SelectRolePanel.InitPanel()
		
	this.tf = transform:FindChild("Content").gameObject.transform;
	
	
	this.heroList = this.tf:FindChild("List_Hero").gameObject;
	
	this.gridParent = this.heroList.transform:FindChild('ScrollView/Gird');
	
	this.btnSure = this.tf:FindChild("Btn_Confirm").gameObject;
	this.playerList = this.tf:FindChild("PlayerList").gameObject;
	
	this.detailHero = this.tf:FindChild("Detail_Hero").gameObject;
	this.Passive = this.detailHero.transform:FindChild("Passive").gameObject;
	this.btnSkill1 = this.Passive.transform:FindChild("Btn").gameObject;
	
	this.Skill_1 = this.detailHero.transform:FindChild("Skill_1").gameObject;
	this.btnSkill2 = this.Skill_1.transform:FindChild("Btn").gameObject;
	
	this.Skill_2 = this.detailHero.transform:FindChild("Skill_2").gameObject;
	this.btnSkill3 = this.Skill_2.transform:FindChild("Btn").gameObject;
	
	this.detailSkill = this.tf:FindChild("Detail_Skill").gameObject;
	
	this.countdown = this.tf:FindChild("Text_Countdown").gameObject;
	
	this.ctf = this.tf:FindChild("Cam_RenderTex").gameObject.transform;
	this.weaponRoot = this.ctf:FindChild("Pos_Weapon/Root");
	
end

function SelectRolePanel.Start()
	logWarn("SelectRolePanel.Start---->>>");
end

--¼--
function SelectRolePanel.OnDestroy()
	logWarn("OnDestroy---->>>");
end