local sp = [[.package {
	type 0 : integer
	session 1 : integer
	ud 2 : string
}

.WeaponInfo{
    proto_id 0 : integer
    skin_id 1 : integer #ǰƤ
    skill_0_lv 2 : integer
    skill_1_lv 3 : integer
    skill_2_lv 4 : integer
    skins 5 : *integer  #ѹƤ
}

.RoleSkinInfo{
    position 0 : integer # λ
    skin_id 1 : integer #ǰƤ
    skins 2 : *integer  #ѻƤ
}

.RoleSkin{
    position 0 : integer #λ
    skin_id 1 : integer  #ǰƤ
}

.Box {
	boxid 0 : integer
	unlock_time 1 : integer
	status 2 : integer
}

global_ping 1 {
	request {

	}
	response {
		servertime 0 : string
	}
}


global_msdkarg 2 {
	request {
		openID 0 : string
		openKey 1 : string
		pf 2 : string
		pfKey 3 : string
	}
	response {
		code 0 : integer
	}
}

global_msdkpay 3 {
	request {
		payID 0 : string
	}
	response {
		code 0 : integer
		gemtotalpaid 1 : integer
	}
}

global_msdkrefreshpay 4 {
	request {
	}
	response {
		code 0 : integer
		gemtotalpaid 1 : integer
	}
}

global_roomserver 5 {
	request {

	}
	response {
		.Server {
			name 0 : string
			addr 1 : string
		}
		hosts 0 : *Server
	}
}

global_generatepayorder 6 {
	request {
		payID 0 : string
	}
	response {
		code 0 : integer   # 0 ɹ 1 ʧܣ 2 ֵϵͳѹرգ 3 payID
		orderid 1 : string      # errcode==0ʱorderidЧֵ
	}
}


user_login 101 {
	request {
		platform 0 : string
		devid 1 : string
		nettype 2 : string
		resolution 3 : string
		imei 4 : string
		operator 5 : string
		mac 6 : string
		os 7 : string
		model 8 : string
	}
	response {
		created 0 : boolean     # true:ѽɫ  false:δɫ
	}
}

user_rename 102 {
	request {
		nickname 0 : string
	}
	response {
		code 0 : integer
		nickname 1 : string
	}
}

user_pvpresult 103 {
	request {
		kill 0 : integer
		score 1 : integer
		killed 2 : integer
		reborn 3 : integer
		rank 4 : integer
	}
	response {
		code 0 : integer
	}
}

user_info 104 {
	request {

	}
	response {
		userid 0 : string
		nickname 1 : string
		sex 2 : integer
		level 3 : integer
		exp 4 : integer
		gem 5 : integer
		gold 6 : integer
		gembonus 7 : integer
		gemtotalpaid 8 : integer
		diamond 9 : integer
		total_round 10 : integer
		win_round 11 : integer
		total_kill 12 : integer
		total_dead 13 : integer
		total_damage 14 : integer
		total_injure 15 : integer
		weapons 16 : *WeaponInfo
		role_skin 17 : *RoleSkinInfo
		favorate_weapon 18 : integer  #proto_id
	    total_assists 19 : integer
	}
}

user_create 105 {
	request {
		nickname 0 : string
		sex 1 : integer
	}
	response {
		code 0 : integer  # 0:ɹ 1:ǳƳȲҪ 2:ǳƺзǷַ 3:ǳѴ 4:ظɫ 5:ʧܣڲ
		userid 1 : string
		nickname 2 : string
	}
}

user_changeroleskin 106 {
	request {
		position 0 : integer  #λ
		skin_id 1 : integer  #0 ж 0װӦƤid
	}
	response {
		code 0 : integer  # 0:ɹ 1:λô 2:δøƤ
	}
}

user_buyroleskin 107 {
	request {
		skins 0 : *RoleSkin  #Ƥ
	}
	response {
		code 0 : integer  # 0:ɹ 1:λô 2:δ֪Ƥ 3:ظ 4:Ҳ 5Ԫ
    	err_skin 1 : RoleSkin  # λƤ
	}
}

user_changeweaponskin 108 {
	request {
		proto_id 0 : integer
		skin_id 1 : integer  #0 ж 0װӦƤid
	}
	response {
		code 0 : integer  # 0:ɹ 1:λô 2:δøƤ
	}
}

user_buyweaponskin 109 {
	request {
		proto_id 0 : integer
		skin_id 1 : integer  #ҪĶӦƤid
	}
	response {
		code 0 : integer  # 0:ɹ 1:δ֪ 2:δ֪Ƥ 3:ظ 4:Ҳ 5Ԫ
	}
}

user_saveroleskins 110 {
	request {
		skins 0 : *RoleSkin
	}
	response {
		code 0 : integer  # 0:ɹ 1:λô 2:δøƤ
		err_skin 1 : RoleSkin  # λƤ
	}
}

user_strengthenweapon 111 {
	request {
		proto_id 0 : integer  # proto_id
		skill_id 1 : integer  # Ҫǿļid
	}
	response {
		code 0 : integer  # 0:ɹ 1:δ֪ 2:δ֪ļ 3:ǿȼѴ 4:Ҳ
	}
}

user_favorweapon 112 {
	request {
		proto_id 0 : integer  # proto_id
	}
	response {
		code 0 : integer  # 0:ɹ 1:δ֪
	}
}

user_logout 113 {
	request {
	}
	response {
		code 0 : integer  # 0:ɹ 1:ʧ
	}
}

rank_getlist 201 {
	request {
		mode 0 : string
		type 1 : string
	}
	response {
		.RankData {
			rank 0 : integer
			userid 1 : string
			nickname 2 : string
			icon 3 : string
			sex 4 : integer
			win 5 : integer
			totalwin 6 : integer
		}
		list 0 : *RankData
	}
}

rank_getuserskins 202 {
	request {
		userid 0 : string
	}
	response {
		code 0 : integer
		skins 1 : *RoleSkin
	}
}


mail_getlist 301 {
	response {
		.SimpleMail {
			mailid 0 : string
			sender 1 : string
			title 2 : string
			isread 3 : boolean
			time 4 : string
		}
		mails 0 : *SimpleMail
	}
}

mail_getdetail 302 {
	request {
		mailid 0 : string
	}
	response {
		content 0 : string
		award 1 : string
	}
}

mail_getaward 303 {
	request {
		mailid 0 : string
	}
	response {
		code 0 : boolean
	}
}

box_getlist 401 {
	request {

	}
	response {
		boxes 0 : *Box
	}
}

box_unlock 402 {
	request {
		boxindex 0 : integer
		boxid 1 : integer
	}
	response {
		code 0 : integer
		box 1 : Box
	}
}

box_open 403 {
	request {
		boxindex 0 : integer
		boxid 1 : integer
	}
	response {
		code 0 : integer
		gold 1 : integer
		diamond 2 : integer
	}
}

activity_newbierewardstatus 501 {
	request {

	}
	response {
		day 0 : integer
		canreward 1 : boolean
	}
}

activity_newbiegetreward 502 {
	request {
		day 0 : integer
	}
	response {
		code 0 : integer
		type 1 : string
		gold 2 : integer
		diamond 3 : integer
		skin 4 : integer
		weapon 5 : integer
	}
}



]]

return sp

