
CtrlNames = {
	Login = "LoginCtrl",
	Main = "MainCtrl",
	Match = "MatchCtrl",
	SelectRole = "SelectRoleCtrl",
	LoadResource = "LoadResourceCtrl",
	Result = "ResultCtrl",
	CharaCreation = "CharaCreationCtrl",
	Info = "InfoCtrl",
	Weapon = "WeaponCtrl",
	Rank = "RankCtrl",
	SevenDayLogin = "SevenDayLoginCtrl",
}

PanelNames = {
	Login = "Login",
	Main = "Main",
	Match = "Match",
	SelectRole = "SelectRole",
	LoadResource = "LoadResource",
	Result = "Result",
	CharaCreation = "CharaCreation",
	Info = "Info",
	Weapon = "Weapon",
	Rank = "Rank",
	SevenDayLogin = "SevenDayLogin",
}

--协议类型--
ProtocalType = {
	BINARY = 0,
	PB_LUA = 1,
	PBC = 2,
	SPROTO = 3,
}

--网络连接类型--
NetConnectTpye = {
	Login = 1,
    GameMain = 2,
    Battle = 3,
}

--房间进入类型--
RoomTpye = {
	Frist = "1v1",
    Sceond = "2v2",
    Three = "3v3",
	Four = "4v4",
	Five = "5v5",
	Test = "test",
}

--房间进入的满足人数
RoomTotal = {
	Frist = 2,
    Sceond = 4,
    Three = 6,
	Four = 8,
	Five = 10,
	Test = 1,
}

-- IP 端口 -- 
--LOGINIP = "123.206.18.25";
--LOGINIP = "192.168.1.187";
--LOGINIP = "192.168.1.17";
--LOGINIP = "192.168.1.62";
LOGINIP = "login.pf.euplay.com";
LOGINPORT = 16125;


--当前使用的协议类型--
TestProtoType = ProtocalType.BINARY;

Util = LuaFramework.Util;
AppConst = LuaFramework.AppConst;
LuaHelper = LuaFramework.LuaHelper;
ByteBuffer = LuaFramework.ByteBuffer;

resMgr = LuaHelper.GetResManager();
panelMgr = LuaHelper.GetPanelManager();
soundMgr = LuaHelper.GetSoundManager();
networkMgr = LuaHelper.GetNetManager();

WWW = UnityEngine.WWW;
Ping = UnityEngine.Ping;
GameObject = UnityEngine.GameObject;
Sprite = UnityEngine.Sprite;