require "Common/define"

AvatarCtrl = {}

local this = AvatarCtrl;

local panel;
local avatar;
local transform;
local gameObject;

function AvatarCtrl.New()
	logWarn("AvatarCtrl.New--->>");
	return this;
end

function AvatarCtrl.Awake()
	logWarn("AvatarCtrl.Awake--->>");
	panelMgr:CreatePanel('Avatar', this.OnCreate);
end

function AvatarCtrl.OnCreate(obj)
	gameObject = obj;
	transform = obj.transform;

	-- panel = transform:GetComponent('UIPanel');
	avatar = transform:GetComponent('LuaBehaviour');
	logWarn("AvatarCtrl lua--->>"..gameObject.name);

	this.InitPanel();	

	avatar:AddClick(LoginPanel.btnGuest,this.OnGuestClick);
	
	
end

function AvatarCtrl.InitPanel()

end

function AvatarCtrl.OnGuestClick(go)
	logWarn("click guest button..........>>>>")
	
	DataEntry.loginModel.fnId = LoginPanel.inputOpenID:GetComponent('InputField').text
	
	AppConst.SocketPort = LOGINPORT; --2012;
    AppConst.SocketAddress = LOGINIP; --"192.168.1.123"--"123.59.14.125" --"127.0.0.1"
    networkMgr:SendConnect();
	
end

function AvatarCtrl.Close()
	panelMgr:ClosePanel(PanelNames.Login);
end