require "Common/define"

CharaCreationCtrl = {}

local this = CharaCreationCtrl;

local panel;
local charaCreation;
local transform;
local gameObject;

--local name1 = {"李","王","张","赵","林"};
--local name2 = {"封","来","少","生","发","都"};
--local name3 = {"双","顺","斯","夫","花","地"};

local name1 = {"温柔的","内向的","腼腆的","惹人爱的","多疑的","直率的","活泼的","开朗的","可笑的","狭窄的","宽容的","猜忌的","多情的","冷淡的","热情的","放荡的","谨慎的","严厉的","无情的","飘逸的","圣洁的","纯洁的","清纯的","可爱的","贤慧的","慈爱的","仁慈的","老实的","慷慨的","大方的","侠义的","忠诚的","宽厚的","有信心的","自觉的","体贴的","好沉思的","可靠的","老练的","精悍的","认真的","守信的","忠诚的","真诚的","友好的","俭朴的","勤劳的","恭顺的","幽默的","公正的","勤奋的","正直的","好心的","虚心的","辛勤的","实际的","有理性的","讲道理的","可信赖的","负责的","无私的","真诚的","塌实的","老实的","稳健的","愉快的","轻松的","热情的","兴奋的","活泼的","喜悦的","幸福的","高兴的","欢喜的","微笑的","乐观的","幽默的","深情的","平静的","快乐的","激动的","欣慰的","满意的","痛快的","欢乐的","惊喜的","快活的","喜爱的","欢呼的","激情的","欢快的","振奋的","欣喜的","从容的","愉悦的","舒畅的","善意的","喜欢的","爱慕的","饱满的","热心的","亲切的","融洽的","镇静的","绝望的","痛苦的","内疚的","烦恼的","害羞的","恐惧的","紧张的","担心的","忧郁的","焦虑的","苦闷的","着急的","可怜的","难过的","不安的","愤怒的","悲哀的","怒吼的","失望的","气愤的","急躁的","挫折的","恐怖的","为难的","罪恶的","遗憾的","悲愤的","凄凉的","苦恼的","惋惜的","飘过的"};
local name2 = {"雅静","梦洁","梦璐","惠茜","漫妮","语嫣","桑榆","倩雪","香怡","灵芸","倩雪","玉珍","茹雪","正梅","美琳","欢馨","优璇","雨嘉","娅楠","明美","可馨","惠茜","漫妮","香茹","月婵","嫦曦","静香","梦洁","凌薇","美莲","雅静","雪丽","依娜","雅芙","雨婷","怡香","珺瑶","梦瑶","婉婷","睿婕","雅琳","静琪","彦妮","馨蕊","静宸","雪慧","淑颖","乐姗","玥怡","芸熙","钰彤","璟雯","天瑜","婧琪","梦瑶","静宸","诗琪","美萱","雪雁","煜婷","笑怡","优璇","雨嘉","娅楠","雨婷","玥婷","芸萱","馨彤","沛玲","语嫣","凌菲","羽馨","靖瑶","瑾萱","漫妮","灵芸","欣妍","玉珍","茹雪","正梅","美琳","欢馨","优璇","雨嘉","娅楠","明美","可馨","惠茜","漫妮","香茹","月婵","嫦曦","静香","梦洁","凌薇","美莲","雅静","雪丽","韵寒","莉姿","梦璐","沛玲","欣妍","曼玉","歆瑶","凌菲","靖瑶","瑾萱","佑怡","婳祎","檀雅","熙雯","诗茵","静璇","婕珍","沐卉","琪涵","佳琦","雪丽","依娜","雅芙","雨婷","怡香","韵寒","莉姿","浩宇","瑾瑜","皓轩","擎苍","擎宇","致远","烨磊","文博","天佑","英杰","致远","俊驰","雨泽","烨磊","伟奇","文博","天佑","文昊","修洁","黎昕","远航","旭尧","圣杰","俊楠","鸿涛","伟祺","荣轩","越泽","浩宇","瑾瑜","皓轩","志泽","子轩","弘文","哲瀚","雨泽","建辉","晋鹏","天磊","绍辉","浩南","泽洋","鑫磊","鹏煊","博文","昊强","越泽","旭尧","伟宸","志泽","博超","君浩","子骞","鹏涛","炎彬","鹤轩","伟泽","越彬","风华","靖琪","明辉","伟诚","明轩","绍辉","英杰","修杰","志泽","弘文","峻熙","烨伟","苑博","鹏涛","炎彬","鹤轩","伟泽","君昊","鸿煊","博涛","苑杰","黎昕","烨霖","晋鹏","烨华","智宸","正豪","昊然","明杰","立诚","立轩","立辉","峻熙","嘉懿","烨华","智宸","正豪","昊然","志泽","明杰","弘文","烨伟","苑博","鹏涛","炎彬","鹤轩","伟泽","君昊","鸿煊","博涛","苑杰","黎昕","烨霖","哲瀚","雨泽","楷瑞","建辉","致远","俊驰","雨泽","烨磊","国豪","伟奇","文博","天佑","文昊","修杰","黎昕","远航","旭尧","英杰","圣杰","鑫鹏","俊楠","鸿涛","伟祺","荣轩","浩宇","晋鹏","瑾瑜","昊天","晓啸","立果","玉书","才英","高扬","华清","奇玮","晗日","嘉木","俊郎","睿达","嘉禧","鸿文","良翰","晋鹏","哲瀚","安宁","永丰","星火","嘉木","康胜","宏义","成周","烨赫","俊郎","浩宇","宏盛","华藏","新立","茂才","嘉颖","宏盛","鸿才","温茂","翔宇","和豫","成天","雅志","安然","昂雄","烨然","涵意","承业","涵忍","鹏程","英勋","元凯","新荣","正谊","修贤","晓博","永寿","弘扬","弘致","宏壮","国豪","景曜","修明","锐利","才俊","泰河","昊焱","阳荣","瑾瑜","嘉胜","建德","华晖","良骥","璞玉","乐悦","浩旷","修贤","和硕","翰海","鸿羲","文乐","兴文","成和","志业","子安","兴平","永望","彭彭","高寒","和煦","博明","鸿畅","良吉","建德","奇正","鹏程","俊杰","俊茂","宏大","承恩","子墨","弘业","斌斌","凯凯","嘉志","浩博","兴为","兴朝","德润","宏伯","星津","英哲","浩博","兴言","欣悦","乐欣","和平","泰清","苑杰","英韶","语堂","坚成","高韵","开诚","俊郎","嘉石","德容","才俊","凯风","温茂","星文","玉轩","俊郎","良吉","君昊","俊友","博瀚","彭彭","志新","嘉谊","智明","鸿宝","俊捷","永安","心水","文翰","承业","飞章","光耀","安然","康乐","鸿达","作人","伟晔","宜民","明珠","乐语","宏远","雪峰","嘉熙","安澜","鸿德","承平","翰学","雅珺","向阳","博雅","成和","敏博","永安","弘厚","和雅","飞跃","博远","锐利","嘉祯","立辉","永思","才艺","锐逸","华清","嘉悦","俊能","安怡","鑫鹏","奇伟","永年","自怡","高原","英纵","兴业","鸿朗","高杰","明哲","鹏海","文轩","浩浩","德运","元嘉","元明","乐悦","永昌","文成","开畅","英彦","俊远","和颂","飞鹏","鸿云","博文","翰林","安志","承德","和同","飞跃","文宣","凯定","鸿轩","文虹","立人","和雅","天宇","明达","同化","敏达","伟茂","高远","俊弼","兴邦","明达","升荣","泰鸿","乐水","修为","理全","乐心","文翰","康顺","俊捷","涵忍","瀚海","嘉茂","德寿","博达","文康","天磊","宏深","和正","阳成","承载","勇捷","宏硕","玉山","哲瀚","雅畅","承恩","奇逸","乐容","力勤","雨信","修贤","弘厚","博涛","康复","建章","茂实","弘伟","元良","康适","飞驰","文博","宏博","自明","和通","博瀚","永嘉","高远","文耀","鸿风","经纶","嘉珍","温瑜","元良","成天","项禹","英博","俊远","温茂","振国","俊侠","凯乐","英发","飞舟","宏逸","鸿飞","鸿畅","思博","俊明","凯风","鸿风","宜年","德水","刚捷","浩大","兴思","嘉运","阳辉","天禄","成荫","鸿哲","良平","弘图","煜祺","成天","英逸","国兴","景澄","乐人","宏才","展鹏","明诚","和昶","君浩","自强","正卿","元思","天佑","鸿才","飞驰","嘉珍","修明","翔飞","英彦","昊空","修明","朋义","良俊","绍元","兴安","兴修","子安","修贤","飞翼","志用","光启","高邈","远航","奇文","永长","文光","子安","良工","俊楚","建章","嘉珍","和光","浦泽","才捷","鹤轩","雪松","鸿卓","浩宇","乐逸","承颜","修谨","宏旷","乐山","茂实","昊英","茂彦","刚毅","嘉歆","伟晔","嘉祥","华皓","建茗","升荣","玉宸","博学","高岑","宜春","良策","巍然","飞航","承悦","承泽","子实","君浩","鸿彩","弘亮","自明","兴德","成礼","鸿卓","高韵","鹏海","鸿飞","阳文","永寿","宏胜","乐章","弘业","天赋","博涛","永春","阳辉","乐圣","景澄","俊捷","茂彦","俊达","乐康","良弼","鑫鹏","锐锋","元德","玉堂","弘扬","智敏","高邈","兴国","意蕴","经纬","辰逸","俊雅","德海","语堂","正志","鹏天","志强","英华","乐音","元勋","璞玉","锐思","兴腾","明诚","玉龙","乐贤","飞昂","天成","俊捷","成业","奇思","嘉赐","修然","擎苍","成荫","永昌","修竹","俊侠","坚壁","飞光","凯复","文星","鸿德","和悌","昊苍","奇略","修德","高兴","修然","峻熙","鸿信","宏阔","嘉瑞","景焕","良材","德本","华美","正奇","宏博","明诚","建茗","光临","锐泽","志业","奇邃","英睿","阳旭","阳晖","鸿熙","景铄","俊人","康宁","振海","德润","文赋","博裕","宏儒","俊智","睿博","成弘","天禄","高格","雅逸","文宣","高超","和裕","理群","欣可","凯凯","经艺","成礼","俊风","志业","信鸿","和颂","文轩","修文","安翔","奇思","成天","俊智","凯复","飞舟","安康","志业","嘉实","成济","凯复","嘉熙","玉轩","兴怀","飞飙","德海","嘉言","元青","奇思","开畅","乐心","嘉赐","正豪","彭湃","和安","景龙","阳辉","乐和","俊悟","高明","鸿羽","元思","锐阵","刚豪","刚豪","永春","正雅","鑫磊","天佑","刚捷","宏盛","彬炳","安歌","俊雄","鸿运","宏义","承平","康乐","飞尘","成周","宜年","和泽","勇军","乐生","睿德","君昊","鹏翼","飞宇","风华","良俊","建柏","波峻","星纬","飞翰","乐成","涵蓄","华采","同方","升荣","奇伟","宏义","开朗","星剑","奇邃","温书","文德","嘉良","建德","星纬","和光","阳羽","华容","宏扬","奇文","学义","元亮","弘伟","溥心","俊晤","雨华","浩轩","天纵","俊驰","新立","季萌","博文","立辉","文栋","安邦","安国","星津","丰茂","康平","博延","明辉","雅畅","温文","安邦","风华","嘉勋","鸿志","正业","高逸","宏伯","鹏运","成益","浩旷","良工","阳辉","锐精","鸿波","正青","修洁","飞掣","成和","宏远","华皓","承德","奇志","嘉佑","雅畅","永福","天成","宏逸","鸿雪","英悟","修雅","宇荫","正祥","英叡","德明","鸿朗","光远","文华","弘化","安澜","凯安","正卿","昊焱","乐逸","康时","兴贤","德佑","同和","嘉熙","俊喆","嘉祯","波涛","正雅","越泽","雅达","经纬","宏逸","鹏煊","浩旷","朋兴","鹏举","彬炳","英博","新觉","鸿才","宏放","乐容","和平","浩思","宏盛","俊智","弘厚","和畅","高逸","思淼","鸿达","健柏","元武","琪睿","华清","建茗","元纬","英悟","康平","奇伟","乐意","明轩","晟睿","华美","文彦","阳德","成仁","飞宇","浩言","宏大","泰鸿","茂才","咏歌","高芬","才英","鸿志","开诚","正青","成周","嘉良","鸿振","伟晔","宏峻","奇正","跃","践","蹊","躬","轨","轩","转","轮","轰","轶","轼","辉","辑","辛","辞","辟","辽","达","迁","迅","过","迈","迎","迎南","迎夏","迎天","迎松","迎梦","迎波","迎海","迎蓉","运","近","进","远","远航","连","迦","迨","迪","迵","追","适","选","逊","逍","逗","通","速","逢","逵","逸","遂","遇","遐","道","遗","遥","邢","邤","邱","邵","郁","郃","郎","郑","郡","郢","郭","郸","都","酋","醉冬","醉山","醉易","醉柳","醉波","醒","采南","采文","采柳","采白","里","重","野","量","金鑫","鉴","鑫","鑫磊","鑫鹏","钊","钒","钘","钟","钢","钦","钧","钰","钱","铁","铎","铜","铠","铢","铭","铮","铱","银","锂","锋","锐","锓","锟","锡","锦程","键","锴","锵","锷","镇","镕","镜","镝","镪","长","闪","问","问儿","问安","问寒","问枫","问柳","问筠","闰","闲","闳","间","闵","闻","闽","闾","闿","阁","阅","阆","阔","队","阳","阵","阶","陀","陆","陇","院","险","陵","陶","隐","隨","难","雁山","雁易","雁枫","雄","雅山","雅柏","雅阳","集","雍","雕","雨","雨南","雨安","雨寒","雨文","雨柏","雨泽","雪松","雲","雳","雷","雷阳","霄","青寒","青文","青易","青枫","青柏","青槐","靖易","靖柏","静枫","静柏","静白","革","鞘","鞠","韦","韧","韩","韪","韫","韬","音","韵","韶","顶","项","顺","须","顼","顿","颀","颂","预","领","频","颓","颜","风","风华","飏","飞","飞双","飞松","飞柏","飞槐","飞阳","飞风","饭","饮","首","馗","马","驭","驯","驴","骀","骁","骏","骞","高","魁","魏","鱼","鲁","鲸","鸥","鸽","鸿","鸿涛","鸿煊","鹏","鹏涛","鹏煊","鹏飞","鹤","鹤轩","鹰","黎","黎昕","黑","默","鼎","齐","龄","龙","龚","丝","丹","丹云","丹寒","丹彤","丹烟","丹珍","丹琴","丹秋","丹翠","丹萱","丹蝶","丹雪","丽","之卉","之柔","之桃","之玉","之瑶","乐丹","乐儿","乐巧","乐珍","乐瑶","乐荷","乐菱","乐萱","乐蓉","乐蕊","乔","书兰","书南","书桃","书琴","书瑶","书翠","书芹","书萱","书蕾","书蝶","书雁","书雪","云","亦丝","亦凝","亦巧","亦旋","亦玉","亦瑶","亦竹","亦绿","亭","从丹","从云","从凝","从彤","从梦","从灵","从筠","从菡","从蓉","从蕾","从雪","从霜","从露","仙","代丝","代云","代天","代巧","代曼","代柔","代桃","代梅","代灵","代玉","代珊","代芙","代芹","代荷","代萱","以彤","以旋","以晴","以珊","以筠","以莲","以菱","以蓝","以蕊","伊","佩","佼","依丝","依凝","依柔","依玉","依珊","依琴","依瑶","依白","依秋","依萱","依霜","侨","俏","俐","俪","倩","傲丝","傲儿","傲晴","傲柔","傲玉","傲珊","傲芙","傲菡","傲蕾","傲薇","元彤","元灵","元瑶","元芹","元菱","元霜","元香","冬亦","冬儿","冬卉","冬莲","冬菱","冬萱","冰之","冰兰","冰双","冰夏","冰岚","冰巧","冰彤","冰烟","冰珍","冰绿","冰菱","冰萍","冰薇","冰蝶","冰露","冰香","冷卉","冷梅","冷玉","冷珍","冷荷","冷菱","冷雁","冷雪","冷霜","凌丝","凌兰","凌旋","凌晴","凌珍","凌瑶","凌翠","凌萱","凌蝶","凌雪","凌香","凝","凝丝","凝丹","凝旋","凝梦","凝珍","凝竹","凝芙","凝荷","凝莲","凝蕊","凝蝶","凝雁","凡儿","凡巧","凡旋","凡柔","凡桃","凡梅","凡梦","凡灵","凡蕾","凡阳","凡雁","凡霜","凤","函","初丹","初之","初兰","初彤","初晴","初曼","初柔","初柳","初珍","初瑶","初翠","初蓝","初蝶","初雪","初露","利","千","千儿","千兰","千凝","千柔","千琴","千萍","千雁","千青","半兰","半凡","半双","半梅","半芹","半莲","半蕾","半雪","半香","单","南","南晴","南珍","南琴","南莲","南蓉","南蕾","南霜","南露","又儿","又晴","又柔","又琴","又绿","又莲","又菡","又菱","又蓝","友儿","友容","友巧","友桃","友梅","友灵","友珊","友琴","友瑶","友绿","友菱","友蕊","可","叶","向卉","向彤","向梦","向珊","向萍","向薇","向雁","向露","吟","含","含卉","含巧","含桃","含灵","含烟","含玉","含芙","含莲","含蕊","含蕾","含雁","听寒","听春","听芹","听荷","听莲","听蓉","听露","咏","咚","咪","囡","夏","夏之","夏兰","夏岚","夏彤","夏瑶","夏菡","夏蓉","夏青","多","夜春","夜梅","夜梦","夜玉","夜绿","夜蓉","夜蕾","夜雪","夜香","天巧","天春","天曼","天玉","天荷","天菱","天蓉","天薇","夫","女","如","如彤","如曼","如蓉","如霜","妃","妇","妈","妍","妙之","妙彤","妙春","妙晴","妙柏","妙梦","妙竹","妙芙","妙菱","妞","妤","妮","妲","妹","姐","姑","姗","姚","姝","姨","姿","娃","娅","娆","娇","娈","娓","娜","娟","娣","娥","娴","婆","婉","婕","婧","婷","媚","媛","媞","嫔","嫣","孤丝","孤丹","孤兰","孤岚","孤晴","孤菱","孤萍","安卉","安容","安彤","安春","安柏","安梦","安珊","安荷","安莲","安萱","安蕾","安雁","安露","安青","宛丝","宛儿","宛凝","宛海","宛白","宛筠","宛菡","宫","容","寂","寄云","寄容","寄春","寄柔","寄灵","寄琴","寄瑶","寄翠","寒凝","寒天","寒梅","寒梦","寒珊","寒荷","寒蕾","寒雁","寒香","寻云","寻冬","寻巧","寻春","寻桃","寻梅","寻琴","寻绿","寻芹","寻菡","寻菱","寻雁","寻雪","小凡","小玉","小珍","小翠","小萍","小萱","小蕊","小蕾","小霜","尔丝","尔岚","尔烟","尔珍","尔芙","尔蓉","尔蝶","山兰","山彤","山晴","山梅","山芙","山菡","山蝶","山雁","岚","岭","岱","峤","峭","嵋","巧","巧云","巧兰","巧凡","巧夏","巧春","巧曼","巧绿","巧荷","巧蕊","巧风","巧香","希","平卉","平彤","平春","平灵","平绿","平萱","平蓝","平蝶","平露","幻","幻丝","幻儿","幻巧","幻桃","幻梅","幻灵","幻珊","幻竹","幻翠","幻莲","幻露","幻香","幼丝","幼旋","幼晴","幼珊","幼翠","幼荷","幼菱","幼萱","幼蓉","庭","彤","微","忆丹","忆彤","忆曼","忆梅","忆翠","忆雪","忆香","念之","念巧","念桃","念梦","念烟","念珍","念瑶","念芹","念蕾","念薇","念露","忻","怀曼","怀柔","怀梦","怀绿","怀莲","怀萍","怀蕊","怀蕾","怀薇","怀蝶","怜","怜南","怜容","怜晴","怜梦","怜珊","怜翠","怜菡","怜蕾","怜阳","怜雪","思卉","思柔","思烟","思菱","思萱","思雁","恋","恨桃","恨玉","恨瑶","恨竹","恨荷","恨蕊","恨蝶","悦","惜儿","惜寒","惜梦","惜灵","惜玉","惜珊","惜筠","惜芹","惜萍","惜萱","惜蕊","惜雪","惜霜","惜香","惠","慈","慕儿","慕凝","慕卉","慕晴","慕梅","慕灵","慕蕊","慧","慰","憬","敏","文","斐","新儿","新巧","新晴","新柔","新梅","新瑶","新竹","新筠","新蕾","施","易云","易巧","易文","易绿","易蓉","映之","映寒","映梦","映秋","春儿","春柏","春柔","春梅","春海","春竹","春绿","春翠","春蕾","春雁","昧","晓","晓丝","晓兰","晓巧","晓旋","晓曼","晓灵","晓瑶","晓筠","晓绿","晓蓝","晓蕾","晓霜","晓露","晗","景","晴","晶","暄","暖","曼云","曼冬","曼凝","曼凡","曼卉","曼安","曼容","曼岚","曼彤","曼文","曼易","曼柔","曼梅","曼荷","曼雁","曼青","曼香","朦","朵","柔","柠","柳","根","格","桃","梅","梦之","梦容","梦寒","梦岚","梦旋","梦曼","梦桃","梦玉","梦琪","梦秋","梦竹","梦菡","梦菲","梦蕊","梦露","梦香","梨","棋","楠","楼","榕","樱","欢","欣","毛","水儿","水卉","水彤","水桃","水瑶","水绿","水蓉","水蓝","水香","沁","沐","沙","沛","沛儿","沛凝","沛岚","沛春","沛柔","沛珊","沛白","沛芹","沛菡","沛萍","泠","泳","洁","津","浈","海桃","海瑶","海莲","海菡","海蓝","海雪","海露","涣","涵","涵梅","涵瑶","涵菡","涵菱","涵蕾","涵雁","淇","淑","湉","溪","溶","滢","漂","漱","漾","潞","灵","灵寒","灵松","灵波","灵珊","灵竹","灵萱","灵薇","灵雁","熔","熙","熹","燕","玘","环","玲","珊","珍","珏","珑","珠","珮","琅","琇","琏","琪","琳","琴","琼","瑢","瑶","璟","甜","痴凝","痴旋","痴春","痴梅","痴梦","痴灵","痴珊","痴瑶","痴香","白凝","白卉","白容","白晴","白曼","白桃","白梅","白梦","白玉","白竹","白筠","白翠","白莲","白萱","白薇","皎","盈","盼丹","盼儿","盼兰","盼巧","盼旋","盼晴","盼曼","盼柳","盼海","盼秋","盼翠","盼芙","盼雁","盼香","眉","矫","碧","碧凡","碧巧","碧彤","碧春","碧曼","碧灵","碧玉","碧琴","碧菡","碧萱","碧蓉","礼","祯","秋双","秋寒","秋巧","秋春","秋柔","秋烟","秋珊","秋翠","秋荷","秋莲","秋蝶","笑卉","笑寒","笑旋","笑晴","笑珊","笑翠","笑萍","笑蓝","笑霜","笙","筱","箐","紫丝","紫夏","紫寒","紫真","紫翠","紫菱","紫萍","紫萱","紫蓝","紫雪","紫霜","紫青","红","纯","纯容","纱","练","绘","绣","绮","绮兰","绮南","绮彤","绮晴","绮梅","绮波","绮烟","绮玉","绮琴","绮菱","绮露","绵","绿","绿兰","绿凝","绿夏","绿旋","绿柳","绿真","绿竹","绿蓉","绿蕊","绿蝶","美","羡","翎","翘","翠","翠丝","翠安","翠容","翠岚","翠巧","翠彤","翠曼","翠柔","翠桃","翠梅","翠琴","翠绿","翠芙","翠萱","翠霜","翠风","翡","艳","艾","芊","芒","芝","芬","花","芳","芷","芷云","芷卉","芷容","芷巧","芷波","芷烟","芷珊","芷珍","芷荷","芷蕊","芷蕾","芷蝶","芷雪","芹","苇","苗","若","若凝","若南","若枫","若灵","若烟","若翠","若蕊","若雁","英","苹","茉","茜","茫","茹","荑","荔","荟","荧","荷","莉","莎","莛","莲","莹","莺","菁","菊","菡","菱","菲","菽","萃","萍","营","萱","萼","葛","葵","蒙","蒨","蓉","蓝","蔓","蔼","蕊","蕙","蕤","薇","薰","藻","蛟","蜜","蝶","蟠","裳","观","觅云","觅儿","觅夏","觅柔","觅珍","觅翠","觅荷","觅露","让","访卉","访彤","访曼","访琴","访蕊","诗云","诗兰","诗双","诗柳","诗桃","诗珊","诗筠","诗翠","诗蕊","诗蕾","诗霜","语儿","语兰","语柔","语柳","语梦","语琴","语芙","语芹","语蓉","语蕊","语薇","语蝶","语雪","说","诺","谷","谷丝","谷兰","谷梦","谷翠","谷芹","谷菱","谷蓝","谷蕊","谷雪","贞","路","轸","迎丝","迎彤","迎曼","迎梅","迎荷","郗","配","醉卉","醉蓝","醉薇","醉蝶","醉香","采春","采枫","采梦","采波","采珊","采绿","采萱","采蓝","金","钗","铃","锦","问丝","问兰","问凝","问夏","问旋","问春","问梅","问玉","问芙","问萍","问蕊","问薇","问雁","问香","闺","雀","雁","雁丝","雁兰","雁凡","雁卉","雁桃","雁梅","雁玉","雁芙","雁荷","雁菡","雁菱","雁蓉","雁露","雁风","雅","雅容","雅寒","雅彤","雅旋","雅柔","雅琴","雅绿","雅蕊","雅霜","雅青","雅香","雉","雨兰","雨双","雨旋","雨梅","雨灵","雨珍","雨琴","雨真","雨竹","雨筠","雨莲","雨雪","雪","雪兰","雪卉","雪巧","雪旋","雪晴","雪曼","雪枫","雪柳","雪珊","雪珍","雪瑶","雪莲","雪萍","雪青","雯","霁","霈","霏","霓","霜","霞","露","青","青丝","青亦","青旋","青曼","青梦","青烟","青筠","青雪","青香","靓","靖","靖儿","靖巧","靖柔","靖琪","靖荷","靖雁","静","静丹","静曼","静槐","静珊","静竹","静芙","非","颖","飘","飞丹","飞兰","飞烟","飞珍","飞瑶","飞绿","飞荷","飞莲","飞薇","飞雪","香","香之","香卉","香天","香寒","香岚","香巧","香彤","香旋","香春","香柏","香柳","香桃","香梅","香波","香芹","香莲","香菱","香萱","香薇","香蝶","香露","馥","馨","骄","骊","骐","鸣","鸯","鸳","鹂","鹃","鹉","鹊","鹦","麒","黛"};

function CharaCreationCtrl.New()
	logWarn("CharaCreationCtrl.New--->>");
	return this;
end

function CharaCreationCtrl.Awake()
	logWarn("CharaCreationCtrl.Awake--->>");
  soundMgr:PlayMusicId("bgm3");
	panelMgr:CreatePanel('CharaCreation', this.OnCreate);
end

function CharaCreationCtrl.OnCreate(obj)
	gameObject = obj;
	transform = obj.transform;

	-- panel = transform:GetComponent('UIPanel');
	charaCreation = transform:GetComponent('LuaBehaviour');
	logWarn("CharaCreation lua--->>"..gameObject.name);

	this.InitPanel();	

	charaCreation:AddClick(CharaCreationPanel.btnRandom,this.OnRandomClick);
	charaCreation:AddClick(CharaCreationPanel.btnEnter,this.OnEnterClick);
	
	this.toggle1 = CharaCreationPanel.woman:GetComponent('Toggle');
	this.toggle2 = CharaCreationPanel.man:GetComponent('Toggle');
	
end

function CharaCreationCtrl.InitPanel()
	local _max1 = #name1;
	local _num1 = CharaCreationCtrl.Rnd(_max1);
	local _name1 = name1[_num1];
	
	local _max2 = #name2;
	local _num2 = CharaCreationCtrl.Rnd(_max2);
	local _name2 = name2[_num2];
	
	--[[local _max3 = #name3;
	local _num3 = CharaCreationCtrl.Rnd(_max3);
	local _name3 = name3[_num3];--]]
	
	CharaCreationPanel.openPreTxt:GetComponent('Text').text = "";
	CharaCreationPanel.inputOpenID:GetComponent('InputField').text = _name1.._name2;
end

function CharaCreationCtrl.OnRandomClick(go)
	logWarn("click random button..........>>>>")
	
	local _max1 = #name1;
	local _num1 = CharaCreationCtrl.Rnd(_max1);
	local _name1 = name1[_num1];
	
	local _max2 = #name2;
	local _num2 = CharaCreationCtrl.Rnd(_max2);
	local _name2 = name2[_num2];
	
	--[[local _max3 = #name3;
	local _num3 = CharaCreationCtrl.Rnd(_max3);
	local _name3 = name3[_num3];--]]
	
	CharaCreationPanel.openPreTxt:GetComponent('Text').text = "";
	CharaCreationPanel.inputOpenID:GetComponent('InputField').text = _name1.._name2;
end

function CharaCreationCtrl.Rnd(max)
	--lua的第1次random数不靠谱，取第3次的靠谱
	local ret = 0;
	math.randomseed(os.time())
	for i = 1,3 do
		n = math.random(max)
		ret = n
	end
	return ret
end


function CharaCreationCtrl.OnEnterClick(go)
	logWarn("click enter button..........>>>>")

	local _sex = 1;
	if this.toggle1.isOn then
		_sex = 2;
	end

	local name = CharaCreationPanel.inputOpenID:GetComponent('InputField').text;
	name = CharaCreationCtrl.Trim(name);
	if name ~= "" then
		if (StringFilterUtil.IsFilter(name)==true) then
			QuickTips.ShowYellowQuickTips("包含非法字符");
			return;
		end
		networkMgr:ShowLoading(true);
		Network.CreatePlayer(name,_sex);
	else
		QuickTips.ShowYellowQuickTips("名字不能为空!");
	end

end

-- 去除字符串两边的空格  
function CharaCreationCtrl.Trim(s)   
    return (string.gsub(s, "^%s*(.-)%s*$", "%1"))  
end  

function CharaCreationCtrl.Close()
	panelMgr:ClosePanel(PanelNames.CharaCreation);
end