require "Common/define"

MainCtrl = {};

PlayData = nil;
PlayerInfo = nil;
PlayerLvConf = {};
SevenDayLoginConf = {};
timer = nil;

-- 七日登录数据
SevenDayData = {};

------箱子数据
BoxDataConf = {};
BoxChestData = {Chest_0 = nil,Chest_1 = nil,Chest_2 = nil,Chest_3 = nil};
BoxChestState = {a = nil,b= nil,c = nil,d = nil};
local  currentChestCon = nil;
local  currentChestBtn = nil;
local  currentChestBtnEmpty = nil;
local  currentLockBox = nil;
local  boxCDTime;
local   boxUnlockTime = 0;
local  servertime = 0;
local isUnlockStateShow = true;


local this = MainCtrl;
local json = require "cjson"

local panel;
local main;
local transform;
local gameObject;

local cdTimer = nil;
local leftSec;

function MainCtrl.New()
	logWarn("MainCtrl.New--->>");
	return this;
end

function MainCtrl.Awake()
	logWarn("MainCtrl.Awake--->>");
	soundMgr:PlayMusicId("bgm2");
	panelMgr:CreatePanel('Main', this.OnCreate);
end

function MainCtrl.OnCreate(obj)
	gameObject = obj;
	transform = obj.transform;

	-- panel = transform:GetComponent('UIPanel');
	main = transform:GetComponent('LuaBehaviour');
	logWarn("Login lua--->>"..gameObject.name);

	--this.InitPanel();	
	
	main:AddClick(MainPanel.btnEnter,this.OnEnterClick);	
	main:AddClick(MainPanel.btnEnter2,this.OnEnterClick2);	
	main:AddClick(MainPanel.btnEnter3,this.OnEnterClick3);	
	main:AddClick(MainPanel.btnEnter4,this.OnEnterClick4);	
	main:AddClick(MainPanel.btnEnter5,this.OnEnterClick5);
	main:AddClick(MainPanel.btnTest,this.OnEnterClick6);
	main:AddClick(MainPanel.btnAvatar,this.OnAvatarClick);
	main:AddClick(MainPanel.btnWeapon,this.OnWeaponClick);	
	main:AddClick(MainPanel.btnRank,this.OnRankClick);	
	main:AddClick(MainPanel.btnConfig,this.OnConfigClick);
	main:AddClick(MainPanel.btnSevenDay,this.OnSevenDayClick);
	main:AddClick(MainPanel.btnStartRob,this.OnEnterClick5);

	-----------宝箱点击事件
	main:AddClick(MainPanel.btnChest0Empty,this.OnChest0EmptyClick);
	main:AddClick(MainPanel.btnChest1Empty,this.OnChest1EmptyClick);
	main:AddClick(MainPanel.btnChest2Empty,this.OnChest2EmptyClick);
	main:AddClick(MainPanel.btnChest3Empty,this.OnChest3EmptyClick);

	main:AddClick(MainPanel.btnChest0,this.OnChest0Click);
	main:AddClick(MainPanel.btnChest1,this.OnChest1Click);
	main:AddClick(MainPanel.btnChest2,this.OnChest2Click);
	main:AddClick(MainPanel.btnChest3,this.OnChest3Click);
	-----------宝箱点击事件

	local rolelv = resMgr:LoadText("data","player_level_attr_conf");
	LuaHelper.OnJsonCallFunc(rolelv, this.OnJsonCall);

	local boxData = resMgr:LoadText("data","battlebox");
	LuaHelper.OnJsonCallFunc(boxData,this.OnJsonCallBoxData);
	
	local sevendayProto = resMgr:LoadText("data","sevendaygift");
	LuaHelper.OnJsonCallFunc(sevendayProto, this.OnSevenDayJsonCall);

end

function MainCtrl.InitPlayerInfo(info)
	PlayerInfo = info;
	AppConst.USERID = info.userid
	AppConst.USERNAME = info.nickname
	MainCtrl.UpdataPlayerInfoUI();
	
	DataEntry.roleModel:InitUserInfo(info.sex,info.level,info.exp,info.gold,1);
	MainCtrl.OnInitWeaponData(info.weapons);
	MainCtrl.OnInitRoleSkinData(info.role_skin)
	networkMgr:LogEnterGame(AppConst.USERID,AppConst.USERNAME,tostring(info.level), "1","1");
	AvatarManager.Instance:InitMyAvatar(false);
	
end

function MainCtrl.OnSaveAvatar(code)
	ShopSystem.Instance:OnSaveAvatar(code)
end

-- 七日登录数据 --
function MainCtrl.OnInitSevenDayData(day,canreward)
	SevenDayData.day = day + 1;
	SevenDayData.canreward = canreward;
	if SevenDayData.day > 7 then
		MainCtrl.CloseSevenDayBtn();
	else
		MainCtrl.OnInitSevenDayUI();
	end
	
end

-- 七日登录icon置换 --
function MainCtrl.OnInitSevenDayUI()
	
	local img = MainPanel.btnSevenDay.transform:FindChild("Icon_Chest_1").gameObject:GetComponent('Image');
	local imgStr = SevenDayLoginCtrl.GetSevenDayIcon(SevenDayLoginCtrl.GetSevenDayData(SevenDayData.day));
	local sp = resMgr:LoadSprite(imgStr,imgStr);
	img.sprite = sp;
	
	-- 状态根据服务器来进行判断
	if SevenDayData.canreward == false then
		-- 明日领取倒计时
		MainPanel.SevenDayReady:SetActive(false);
		MainPanel.SevenDayCD:SetActive(true);
		
		local cur_timestamp = os.time()
		local temp_date = os.date("*t", cur_timestamp);
		local end_timestamp = os.time({year = temp_date.year, month = temp_date.month, day = temp_date.day, hour = 23, min = 59, sec = 59});
		leftSec = os.difftime(end_timestamp,cur_timestamp) + 1 + 5*60*60;
		logWarn("left time:"..leftSec);
		local _format = MainCtrl.getTimeFormat(leftSec);
		logWarn("_format time:".._format);
		MainPanel.SevenDayCD:GetComponent('Text').text = _format;

		if cdTimer == nil then
			cdTimer = Timer.New(this.SetCDTimerStr,1,-1,false);
		else
			cdTimer:Stop();
		end
		cdTimer:Start();
		
	else
		-- 点击领取
		MainPanel.SevenDayCD:SetActive(false);
		MainPanel.SevenDayReady:SetActive(true);
		SevenDayLoginCtrl.UpdateReceiveStatus(false);
	end
end

function MainCtrl.SetCDTimerStr()
	leftSec = leftSec - 1;
	if leftSec <= -1 then
		cdTimer:Stop();
		-- 时间到了,去服务器获取数据
		Network.SendSevenDayData();
		return;
	end
	local _format = MainCtrl.getTimeFormat(leftSec);
	MainPanel.SevenDayCD:GetComponent('Text').text = _format;
end

function MainCtrl.CloseSevenDayBtn()
	MainPanel.btnSevenDay:SetActive(false);
end

function MainCtrl.OnInitWeaponData(infos)
	local _len = #infos
	for i = 1, _len do
		local _data = infos[i];
		local _strSkins = "";
		local  _count = #_data.skins
		for j = 1,_count do
			if j == 1 then
				_strSkins = tostring(_data.skins[j]);
			else
				_strSkins = _strSkins..","..tostring(_data.skins[j]);
			end
		end
		
		DataEntry.roleModel:InitWeaponData(_data.proto_id,_data.skin_id,_data.skill_0_lv,_data.skill_1_lv,_data.skill_2_lv,_strSkins);
	end
end

function MainCtrl.OnInitRoleSkinData(infos)
	local _len = #infos
	for i = 1, _len do
		local _data = infos[i];
		--info.position = pos;
        --info.skin_id = skinid;
		local _strSkins = "";
		local _count = #_data.skins
		for j = 1,_count do
			if j == 1 then
				_strSkins = tostring(_data.skins[j]);
			else
				_strSkins = _strSkins..","..tostring(_data.skins[j]);
			end
		end
		
		DataEntry.roleModel:InitSkinData(_data.position,_data.skin_id,_strSkins);
	end
  
  DataEntry.roleModel:InitAvatar();
end

function MainCtrl.OnJsonCall(data)
    local obj = json.decode(data);
	for index,v in pairs(obj) do
		table.insert(PlayerLvConf,v);
	end
end

function MainCtrl.OnSevenDayJsonCall(data)
    local obj = json.decode(data);
	for index,v in pairs(obj) do
		table.insert(SevenDayLoginConf,v);
	end
end

function MainCtrl.UpdataPlayerInfoUI()
	
	if PlayerInfo then
		local _tf = MainPanel.Info.transform;
		
		local _lv = _tf:FindChild("Text_Lv").gameObject;
		_lv:GetComponent('Text').text = "Lv."..PlayerInfo.level;
		
		local name = _tf:FindChild("Text_Nickname").gameObject;
		name:GetComponent('Text').text = AppConst.USERNAME;
		
		local slider = _tf:FindChild("Prg_Lv").gameObject;
		_slider = slider:GetComponent('Slider');

		local _data = MainCtrl.GetPlayerLvData(PlayerInfo.level);
		_slider.value = PlayerInfo.exp/_data.expneed;
		
		local _gold = MainPanel.Money.transform:FindChild("Money_A/Text").gameObject;
		_gold:GetComponent('Text').text = PlayerInfo.gold;
		
		local img = _tf:FindChild("Btn_Portrait").gameObject:GetComponent('Image');
		local imgStr = "Head_10"..PlayerInfo.sex.."01";
		local sp = resMgr:LoadSprite(imgStr,imgStr);
		img.sprite = sp;
		
	end
end

function MainCtrl.GetPlayerLvData(level)
	local _data = nil;
	
	for index,v in pairs(PlayerLvConf) do
		if v.lv == level then
			return v;
		end
	end
	return _data;
end

function MainCtrl.OnConfigClick(go)
	logWarn("OnConfigClick..........>>>>")
	SetPanel.Instance:load();
end

function MainCtrl.OnSevenDayClick(go)
	logWarn("OnSevenDayClick..........>>>>")
	Network.AwakePanel(CtrlNames.SevenDayLogin);
end

function MainCtrl.OnEnterClick(go)
	logWarn("click math button..........>>>>")
	
	AppConst.ROOMTYPE = RoomTpye.Frist;
	
	networkMgr:ShowLoading(true);
	networkMgr:SendBattleConnect();
end

function MainCtrl.OnEnterClick2(go)
	logWarn("click math button..........>>>>")
	
	AppConst.ROOMTYPE = RoomTpye.Sceond;
	
	networkMgr:ShowLoading(true);
	networkMgr:SendBattleConnect();
end

function MainCtrl.OnEnterClick3(go)
	logWarn("click math button..........>>>>")
	
	AppConst.ROOMTYPE = RoomTpye.Three;
	
	networkMgr:ShowLoading(true);
	networkMgr:SendBattleConnect();
end

function MainCtrl.OnEnterClick4(go)
	logWarn("click math button..........>>>>")
	
	
	AppConst.ROOMTYPE = RoomTpye.Four;
	
	networkMgr:ShowLoading(true);
	networkMgr:SendBattleConnect()

end

function MainCtrl.OnEnterClick5(go)
	logWarn("click math button..........>>>>")

	AppConst.ROOMTYPE = RoomTpye.Five;
	
	networkMgr:ShowLoading(true);
	networkMgr:SendBattleConnect();
	
	if MainPanel.StartRobPop.activeSelf then
		MainPanel.StartRobPop:SetActive(false);
	end
end

function MainCtrl.OnEnterClick6(go)
	logWarn("click math button..........>>>>")
	
	AppConst.ROOMTYPE = RoomTpye.Test;
	networkMgr:ShowLoading(true);
	networkMgr:SendBattleConnect();
end

function MainCtrl.OnAvatarClick(go)
	logWarn("OnAvatarClick..........>>>>")
	ShopSystem.Instance:load();
end

function MainCtrl.OnWeaponClick(go)
	logWarn("OnWeaponClick..........>>>>")
	
	Network.AwakePanel(CtrlNames.Weapon);
end

-----------宝箱事件实现

---获取宝箱数据---
function  MainCtrl.SetBoxList(boxes)
	
	MainPanel.btnChest0:SetActive(false);
	MainPanel.btnChest1:SetActive(false);
	MainPanel.btnChest2:SetActive(false);
	MainPanel.btnChest3:SetActive(false);

	MainPanel.btnChest0Empty:SetActive(true);
	MainPanel.btnChest1Empty:SetActive(true);
	MainPanel.btnChest2Empty:SetActive(true);
	MainPanel.btnChest3Empty:SetActive(true);

	currentChestCon = nil;
	currentLockBox = nil;
	currentChestBtn = nil;
	currentChestBtnEmpty = nil;
	BoxChestData.Chest_0 = nil;
	BoxChestData.Chest_1 = nil;
	BoxChestData.Chest_2 = nil;
	BoxChestData.Chest_3 = nil;
	BoxChestState.a = nil;
	BoxChestState.b = nil;
	BoxChestState.c = nil;
	BoxChestState.d = nil;

--[[
	local _len = #boxes;
	if _len == nil then
		return;
	end
--]]


	if next(boxes)  then

		local _len = #boxes;
		logWarn("宝箱数据==_len:"..tostring(_len));

		for i ,v in pairs(boxes) do
			if v ~= nil  then
			---------宝箱事件实现
				--logWarn("i    "..i.."    V    "..v.boxid);
				this.AddChest(v.boxid,v);
			end
		end

		this.ShowBoxUnlockState();

	end
	
	
end

---是否可以继续获得宝箱
function  MainCtrl.GetCanAddBox()
	if BoxChestData.Chest_0 ~=nil and  BoxChestData.Chest_1 ~=nil and BoxChestData.Chest_2 ~=nil and BoxChestData.Chest_3 ~=nil  then
		return false;
	else
		return true;
	end
end

---增加宝箱---
----服务端宝箱数据----
function MainCtrl.AddChest(boxid,box)
	local  boxdata = nil;
	for i, v in pairs(BoxDataConf)  do
		
		if boxid == v.boxid then
			boxdata = v;
		end
	end 
	if boxdata ~= nil then
		
		if BoxChestData.Chest_0 == nil then
			BoxChestData.Chest_0 = boxdata;
			MainPanel.btnChest0:SetActive(true);
			MainPanel.btnChest0Empty:SetActive(false);

 			BoxChestState.a = MainPanel.chest_0;

			local 	img = MainPanel.btnChest0:GetComponent('Image');
			local  imgName = tostring("Chest_"..boxdata.quality);
			local  sp = resMgr:LoadSprite(imgName,imgName); 
			img.sprite = sp;
			

			this.SetBoxShow(box,MainPanel.chest_0,MainPanel.btnChest0,MainPanel.btnChest0Empty);
		else
			if BoxChestData.Chest_1 == nil then
			BoxChestData.Chest_1 = boxdata;
			MainPanel.btnChest1:SetActive(true);
			MainPanel.btnChest1Empty:SetActive(false);

			BoxChestState.b = MainPanel.chest_1;

			local 	img = MainPanel.btnChest1:GetComponent('Image');
			local  imgName = tostring("Chest_"..boxdata.quality);
			local  sp = resMgr:LoadSprite(imgName,imgName); 
			img.sprite = sp;

			this.SetBoxShow(box,MainPanel.chest_1,MainPanel.btnChest1,MainPanel.btnChest1Empty);
			else
				if BoxChestData.Chest_2 == nil then
				BoxChestData.Chest_2 = boxdata;
				MainPanel.btnChest2:SetActive(true);
				MainPanel.btnChest2Empty:SetActive(false);

				BoxChestState.c = MainPanel.chest_2;

				local 	img = MainPanel.btnChest2:GetComponent('Image');
				local  imgName = tostring("Chest_"..boxdata.quality);
				local  sp = resMgr:LoadSprite(imgName,imgName); 
				img.sprite = sp;

				this.SetBoxShow(box,MainPanel.chest_2,MainPanel.btnChest2,MainPanel.btnChest2Empty);
			else
				if BoxChestData.Chest_3 == nil then
					BoxChestData.Chest_3 = boxdata;	
					MainPanel.btnChest3:SetActive(true);
					MainPanel.btnChest3Empty:SetActive(false);

					BoxChestState.d = MainPanel.chest_3;

					local 	img = MainPanel.btnChest3:GetComponent('Image');
					local  imgName = tostring("Chest_"..boxdata.quality);
					local  sp = resMgr:LoadSprite(imgName,imgName); 
					img.sprite = sp;

					this.SetBoxShow(box,MainPanel.chest_3,MainPanel.btnChest3,MainPanel.btnChest3Empty);
					end
				end
			end
		end
	end
	
end

function MainCtrl.ShowBoxUnlockState()
		--logWarn("ShowBoxUnlockState   0"..BoxChestState.a);
	if BoxChestState~= nil then
		for i,v in pairs(BoxChestState) do
			log("0");
			if v ~= nil  then
				v.transform:FindChild("State/Unlockable").gameObject:SetActive(isUnlockStateShow);
			end
		end
	end
		
end

function  MainCtrl.SetBoxShow(box,chestCon,chestBtn,chestBtnEmpty)
	if box == nil then
		return;
	end

	if box.status == 2 then
		
 		currentChestCon =chestCon;
		currentChestBtn = chestBtn;
		currentChestBtnEmpty= chestBtnEmpty;
		currentLockBox = box;
		boxUnlockTime = box.unlock_time;
		boxCDTime = nil;
		Network.Start_Ping();

		currentChestCon.transform:FindChild("State/Unlocking").gameObject:SetActive(true);
		currentChestCon.transform:FindChild("State/Unlocking/Countdown"):GetComponent('Text').text ="";
		isUnlockStateShow = false;

		if timer == nil then
			timer = Timer.New(this.SetBoxCDTime,1,-1,true);
		end
		timer:Stop();
		timer:Start();

	end
	 if box.status == 3 then
		currentChestCon =chestCon;
		currentChestBtn = chestBtn;
		currentChestBtnEmpty= chestBtnEmpty;
		currentLockBox = box;
		isUnlockStateShow = false;

		currentChestCon.transform:FindChild("State/Unlocking").gameObject:SetActive(false);
		currentChestCon.transform:FindChild("State/Unlocked").gameObject:SetActive(true);
	end
end


function MainCtrl.OnChest0EmptyClick()
	QuickTips.ShowYellowQuickTips("取得胜利会获得宝箱");
	
end

function MainCtrl.OnChest1EmptyClick()
	QuickTips.ShowYellowQuickTips("取得胜利会获得宝箱");
	
end

function MainCtrl.OnChest2EmptyClick()
	QuickTips.ShowYellowQuickTips("取得胜利会获得宝箱");
end

function MainCtrl.OnChest3EmptyClick()
	QuickTips.ShowYellowQuickTips("取得胜利会获得宝箱");
end

function MainCtrl.OnChest0Click()
	

	this.OpenBox(MainPanel.chest_0,MainPanel.btnChest0,MainPanel.btnChest0Empty,BoxChestData.Chest_0,1);

end

function MainCtrl.OnChest1Click()

	this.OpenBox(MainPanel.chest_1,MainPanel.btnChest1,MainPanel.btnChest1Empty,BoxChestData.Chest_1,2);
end

function MainCtrl.OnChest2Click()

	this.OpenBox(MainPanel.chest_2,MainPanel.btnChest2,MainPanel.btnChest2Empty,BoxChestData.Chest_2,3);
	
end

function MainCtrl.OnChest3Click()

	this.OpenBox(MainPanel.chest_3,MainPanel.btnChest3,MainPanel.btnChest3Empty,BoxChestData.Chest_3,4);

end

---获取服务器时间 
function  MainCtrl.GetServerTime(servertime)
	if servertime~= nil then

		servertime = servertime;
	
		boxCDTime = boxUnlockTime-servertime;
	else
		logError("服务器传过来的servertime为空："..servertime);
	end


		

	
	--log("servertime:"..tostring(servertime));
end

--- 解锁宝箱
function  MainCtrl.SetBoxUnlock(code,box)

	--[[
	if code == nil or box == nil  then

		logError("服务器数据code或者box为空："..code.."   box:"..box);
		return;
	end
	--]]



	if code == 0  then
		currentLockBox.status = 2;
		boxUnlockTime = box.unlock_time;
		Network.Start_Ping();
		boxCDTime = nil;
		isUnlockStateShow  = false;

		this.ShowBoxUnlockState();

		currentChestCon.transform:FindChild("State/Unlocking").gameObject:SetActive(true);
		
		currentChestCon.transform:FindChild("State/Unlocking/Countdown"):GetComponent('Text').text = "";

		if timer == nil then
			timer = Timer.New(this.SetBoxCDTime,1,-1,true);
		end
		timer:Stop();
		timer:Start();
	
		QuickTips.ShowYellowQuickTips("需等待一段时间才可以开启宝箱哦~");
		
	else
		QuickTips.ShowYellowQuickTips("宝箱未能正确解锁,错误码:"..code);
		--QuickTips.ShowYellowQuickTips("需解锁宝箱后才可以解锁下一个");
	end
end

---开启宝箱
function   MainCtrl.GetBoxOpen(gold,diamond,code)

	if code == 0 then
		if gold ~= nil then
			local imgName = "Item_Money_A";
			QuickTips.ShowItemQuickTips(imgName,"金币",gold);
			this.UpdataPlayerInfoUI();
		end

		if diamond ~=nil then

			local imgName = "Item_Money_B";
			QuickTips.ShowItemQuickTips(imgName,"钻石",diamond);
		end
		currentChestBtn:SetActive(false);
		currentChestBtnEmpty:SetActive(true);
		currentChestCon.transform:FindChild("State/Unlocked").gameObject:SetActive(false);
		currentLockBox.status = 4;
		currentLockBox = nil;
		isUnlockStateShow = true;
		Network.SendBoxGetList();
	else
		QuickTips.ShowYellowQuickTips("宝箱未能正确开启,错误码:"..code);
	end

end


function  MainCtrl.OpenBox(chestCon,chestBtn,chestBtnEmpty,boxdata,boxindex)

	if currentLockBox == nil or currentLockBox.status == 4 then
		currentChestCon =chestCon;
		currentChestBtn = chestBtn;
		currentChestBtnEmpty= chestBtnEmpty;
		currentLockBox = boxdata;

		Network.SendBoxUnlock(boxindex,currentLockBox.boxid);
		
	else

		if currentLockBox.status == 3  then

			if currentChestCon == chestCon then
				Network.SendBoxOpen(boxindex,currentLockBox.boxid);
			else
				QuickTips.ShowYellowQuickTips("请先打开未开启宝箱");
			end
		else 

			QuickTips.ShowYellowQuickTips("需解锁宝箱后才可以解锁下一个");
		end
	end
end


function MainCtrl.SetBoxCDTime()

	if currentChestCon == nil then
		return;
	end
	if boxCDTime~= nil then
		boxCDTime = boxCDTime-1;
		currentChestCon.transform:FindChild("State/Unlocking/Countdown"):GetComponent('Text').text = this.getTimeFormat(boxCDTime);
		if boxCDTime<=0 then
			boxCDTime = 0;
			if timer	then
				timer:Stop();
				currentLockBox.status = 3;
				currentChestCon.transform:FindChild("State/Unlocking").gameObject:SetActive(false);
				currentChestCon.transform:FindChild("State/Unlocked").gameObject:SetActive(true);
			end
		end
	
	end
	

end

--时间戳转换--
function MainCtrl.getTimeFormat(t)
	local h;
	local m;
	local s;

	local hstr;
	local mstr;
	local sstr;

	h = math.modf(t/3600);
	m =  math.modf((t%3600)/60);
	s =  math.modf(t%60);

	if h>=10 then
		hstr = h;
	else
		hstr = "0"..h;
	end

	if m>=10 then
		mstr = m;
	else
		mstr = "0"..m;
	end

	if s>=10 then
		sstr = s;
	else
		sstr = "0"..s;
	end

    return hstr..":"..mstr..":"..sstr;
end

function MainCtrl.OnJsonCallBoxData(boxData)
	
	local obj = json.decode(boxData);
	for index,v in pairs(obj) do
		table.insert(BoxDataConf,v);
	end
end

---------宝箱事件实现

function MainCtrl.OnRankClick(go)
	logWarn("OnRankClick..........>>>>")
	
	Network.SendRankList("rob","day");
end

function MainCtrl.HideTest()
	if MainPanel.TestPanel then
		MainPanel.TestPanel:SetActive(false);
	end
end

function MainCtrl.Close()
	panelMgr:ClosePanel(PanelNames.Main);
end