local transform;
local gameObject;

AvatarPanel = {};
local this = AvatarPanel;

--启动事件--
function AvatarPanel.Awake(obj)
	gameObject = obj;
	transform = obj.transform;

	this.InitPanel();
	logWarn("Awake lua--->>"..gameObject.name);
end

--初始化面板--
function AvatarPanel.InitPanel()
		
	this.tf = transform:FindChild("Content").gameObject.transform;
	
	this.TestPanel = this.tf:FindChild("Test").gameObject;
	this.test = this.TestPanel.transform;
	this.Entrance = this.tf:FindChild("Entrance").gameObject.transform;
	
	this.btnFive = this.Entrance:FindChild("Btn_Normal").gameObject;
	this.btnAvatar = this.tf:FindChild("Function_Left/Btn_Avatar").gameObject;
	this.btnWeapon = this.tf:FindChild("Function_Left/Btn_Weapon").gameObject;
	
	this.btnEnter = this.test:FindChild("Button").gameObject;
	this.btnEnter2 = this.test:FindChild("Button_2").gameObject;
	this.btnEnter3 = this.test:FindChild("Button_3").gameObject;
	this.btnEnter4 = this.test:FindChild("Button_4").gameObject;
	this.btnEnter5 = this.test:FindChild("Button_5").gameObject;
	this.btnTest = this.test:FindChild("Button_6").gameObject;
	
	this.Info = this.tf:FindChild("Info").gameObject;
	this.btnInfo = this.Info.transform:FindChild("Btn_Portrait").gameObject;
	
	this.Money = this.tf:FindChild("Money").gameObject;
	
end

function AvatarPanel.Start()
	logWarn("AvatarPanel.Start---->>>");
end

--单击事件--
function AvatarPanel.OnDestroy()
	logWarn("OnDestroy---->>>");
end