local transform;
local gameObject;

MatchPanel = {};
local this = MatchPanel;

--¼--
function MatchPanel.Awake(obj)
	gameObject = obj;
	transform = obj.transform;

	this.InitPanel();
	logWarn("Awake lua--->>"..gameObject.name);
end

--ʼ--
function MatchPanel.InitPanel()
	
	this.MatchingPanel = transform:FindChild("Matching").gameObject;
	this.MatchedPanel = transform:FindChild("Matched").gameObject;	
	
	this.Matching = this.MatchingPanel.transform;
	this.Matched = this.MatchedPanel.transform;
	
	this.tf1 = this.Matching:FindChild("Content").gameObject.transform;
	this.tf2 = this.Matched:FindChild("Content").gameObject.transform;
	
	-- matching
	this.passTime = this.tf1:FindChild("Text_Time_Passed").gameObject;
	this.expecTime = this.tf1:FindChild("Text_TIme_Expect").gameObject;	
	this.btnCancel = this.tf1:FindChild("Btn_Cancel").gameObject;
	
	-- matched
	this.btnEnter = this.tf2:FindChild("Btn_Confirm").gameObject;
	this.ready = this.tf2:FindChild("Text_Ready").gameObject;
	this.cd = this.tf2:FindChild("Text_Countdown").gameObject;

	this.selfList = this.tf2:FindChild("Ally").gameObject;
	this.enemyList = this.tf2:FindChild("Enemy").gameObject;
	
end

function MatchPanel.Start()
	logWarn("MatchPanel.Start---->>>");
end

--¼--
function MatchPanel.OnDestroy()
	logWarn("OnDestroy---->>>");
end