local transform;
local gameObject;

WeaponPanel = {};
local this = WeaponPanel;

--¼--
function WeaponPanel.Awake(obj)
	gameObject = obj;
	transform = obj.transform;

	this.InitPanel();
	logWarn("Awake lua--->>"..gameObject.name);
end

--ʼ--
function WeaponPanel.InitPanel()
		
	this.tf = transform:FindChild("Content").gameObject.transform;
	this.btnBack = transform:FindChild("Btn_Return").gameObject;
	
	this.btnWeapon = this.tf:FindChild("Toggle_Tab/Toggle_Weapon").gameObject;
	this.btnSkin = this.tf:FindChild("Toggle_Tab/Toggle_Skin").gameObject;
	
	this.weaponlist = this.tf:FindChild("Toggle_Content/Weapon/List").gameObject;
	this.btnSelectWeapon1 = this.weaponlist.transform:FindChild("Weapon_1").gameObject;
	this.btnSelectWeapon2 = this.weaponlist.transform:FindChild("Weapon_2").gameObject;
	this.btnSelectWeapon3 = this.weaponlist.transform:FindChild("Weapon_3").gameObject;
	
	this.skinlist = this.tf:FindChild("Toggle_Content").gameObject;
	this.weaponSkin = this.skinlist.transform:FindChild('ScrollView/Gird');
	
	this.skinp = this.skinlist.transform:FindChild('Skin/ScrollView/Gird');
	
	this.ctf = transform:FindChild("Cam_RenderTex").gameObject.transform;
	this.weaponRoot = this.ctf:FindChild("Pos_Weapon/Root");
	
	this.skinName = this.skinlist.transform:FindChild('Skin/Info/Txt_Name').gameObject;
	this.skinDesc = this.skinlist.transform:FindChild('Skin/Info/Txt_Desc').gameObject;
	this.Money = this.tf:FindChild("Money").gameObject;
end

function WeaponPanel.Start()
	logWarn("WeaponPanel.Start---->>>");
end

--¼--
function WeaponPanel.OnDestroy()
	logWarn("OnDestroy---->>>");
end